Bug 1314168 - File which is marked as bad gets promoted to hot tier
Summary: File which is marked as bad gets promoted to hot tier
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: GlusterFS
Classification: Community
Component: tiering
Version: mainline
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Kotresh HR
QA Contact: bugs@gluster.org
URL:
Whiteboard: tier-interops
Depends On: 1283507
Blocks: 1268895
TreeView+ depends on / blocked
 
Reported: 2016-03-03 06:46 UTC by Venky Shankar
Modified: 2018-11-08 06:50 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 1283507
Environment:
Last Closed: 2018-11-08 06:50:03 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Comment 1 Venky Shankar 2016-03-03 06:47:05 UTC
Discussion thread: http://www.gluster.org/pipermail/gluster-devel/2016-February/048454.html

Comment 2 Vijay Bellur 2016-04-06 17:40:29 UTC
REVIEW: http://review.gluster.org/13833 (features/bitrot: Use rchecksum interface for checksum) posted (#3) for review on master by Kotresh HR (khiremat@redhat.com)

Comment 3 Vijay Bellur 2016-04-11 12:50:42 UTC
REVIEW: http://review.gluster.org/13833 (features/bitrot: Use rchecksum interface for checksum) posted (#4) for review on master by Kotresh HR (khiremat@redhat.com)

Comment 4 Vijay Bellur 2016-04-11 12:50:47 UTC
REVIEW: http://review.gluster.org/13969 (features/bitrot: On demand scrub on tiering migration) posted (#1) for review on master by Kotresh HR (khiremat@redhat.com)

Comment 5 Vijay Bellur 2016-04-12 12:43:33 UTC
REVIEW: http://review.gluster.org/13969 (features/bitrot: On demand scrub on tiering migration) posted (#2) for review on master by Kotresh HR (khiremat@redhat.com)

Comment 6 Vijay Bellur 2016-04-12 12:43:40 UTC
REVIEW: http://review.gluster.org/13833 (features/bitrot: Use rchecksum interface for checksum) posted (#5) for review on master by Kotresh HR (khiremat@redhat.com)

Comment 7 Vijay Bellur 2016-04-14 10:24:02 UTC
REVIEW: http://review.gluster.org/13969 (features/bitrot: On demand scrub on tiering migration) posted (#3) for review on master by Kotresh HR (khiremat@redhat.com)

Comment 8 Vijay Bellur 2016-04-14 10:32:00 UTC
REVIEW: http://review.gluster.org/13969 (features/bitrot: On demand scrub on tiering migration) posted (#4) for review on master by Kotresh HR (khiremat@redhat.com)

Comment 9 Vijay Bellur 2016-04-14 11:20:04 UTC
REVIEW: http://review.gluster.org/13969 (features/bitrot: On demand scrub on tiering migration) posted (#5) for review on master by Kotresh HR (khiremat@redhat.com)

Comment 10 Vijay Bellur 2016-04-14 17:29:06 UTC
REVIEW: http://review.gluster.org/13969 (features/bitrot: On demand scrub on tiering migration) posted (#6) for review on master by Kotresh HR (khiremat@redhat.com)

Comment 11 Vijay Bellur 2016-04-21 12:54:19 UTC
REVIEW: http://review.gluster.org/13969 (features/bitrot: On demand scrub on tiering migration) posted (#7) for review on master by Kotresh HR (khiremat@redhat.com)

Comment 12 Vijay Bellur 2016-04-22 07:23:46 UTC
REVIEW: http://review.gluster.org/13969 (features/bitrot: On demand scrub on tiering migration) posted (#8) for review on master by Kotresh HR (khiremat@redhat.com)

Comment 13 Vijay Bellur 2016-04-26 05:15:41 UTC
REVIEW: http://review.gluster.org/13969 (features/bitrot: On demand scrub on tiering migration) posted (#9) for review on master by Kotresh HR (khiremat@redhat.com)

Comment 14 Vijay Bellur 2016-04-28 19:04:41 UTC
REVIEW: http://review.gluster.org/13969 (features/bitrot: On demand scrub on tiering migration) posted (#10) for review on master by Kotresh HR (khiremat@redhat.com)

Comment 15 Vijay Bellur 2016-05-02 09:19:01 UTC
REVIEW: http://review.gluster.org/13969 (features/bitrot: On demand scrub on tiering migration) posted (#11) for review on master by Kotresh HR (khiremat@redhat.com)

Comment 16 hari gowtham 2018-11-08 06:50:03 UTC
Patch https://review.gluster.org/#/c/glusterfs/+/21331/ removes tier
functionality from GlusterFS.

https://bugzilla.redhat.com/show_bug.cgi?id=1642807 is used as the tracking bug
for this. Recommendation is to convert your tier volume to regular volume
(either replicate, ec, or plain distribute) with "tier detach" command before
upgrade, and use backend features like dm-cache etc to utilize the caching from
backend to provide better performance and functionality.


Note You need to log in before you can comment on or make changes to this bug.